function [cntArr525, corValArrB] = runDemoPumpWheel(corArrDB, corValArrB, clickDBtimeMs, cntArr525, startClickNr, endClickNr, workDir)
    % Pump
    
    speed = 0;
    
    corValArrB = makeCorValArrB(corArrDB, workDir);
    cntArr525 = makeCntArr525(corValArrB);
    
    load 'grafikk/w1.mat';
    load 'grafikk/m1.mat';
    load 'grafikk/m2.mat';
    load 'grafikk/w2.mat';
    
    load 'grafikk/pBelg2.mat'; % Fbe, Vbe
    load 'grafikk/pStag.mat'; % Fst, Vst
    load 'grafikk/pHjul.mat'; % Fhj, Vhj
    load 'grafikk/pRammU.mat'; % Fhj, Vhj
    
    bilde = imread('grafikk/ser.jpg');  % Serm bilde
    
    frameRate = 30;
    
    %movi = 'vidInp/o.mov'; % 240:160
    movi = 'vidInp/an2.mov'; % 360:240

    if speed == 0
        vidfileOut = VideoWriter('vidOut/testmov', 'Uncompressed AVI');  
        vidfileOut.FrameRate = frameRate;
        open(vidfileOut); % UT
    end
    
    startSample = 525*corArrDB{startClickNr,1}/1000 + 1;
    endSample = 525*corArrDB{endClickNr,1}/1000;
    
    figure(4);clf;
    set(gcf,'Position',[100 100 1280 720],'numberTitle','off');
    fprintf(1, "\n");
    
    fs = 525; %44100;
    
    vidObj = VideoReader(movi); % IN
    
    % Folk
    hw1 = plotPoly(Fw1, 6*Vw1+[3 3 0], 'col', 0.5*[0.3 0.3 0.3], 'edgeOff', 'backCol', 0.2*[0.1 0.1 0.1]);
    angHw1 = -90;
    hm1 = plotPoly(Fm1, 6*Vm1+[-3 3 0], 'col', 0.5*[0.3 0.3 0.3], 'edgeOff', 'backCol', 0.2*[0.1 0.1 0.1]);
    angHm1 = 10;
    hm2 = plotPoly(Fm2, 6*Vm2+[-3 -3 0], 'col', 0.5*[0.3 0.3 0.3], 'edgeOff', 'backCol', 0.2*[0.1 0.1 0.1]);
    angHm2 = -199;
    hw2 = plotPoly(Fw2, 6*Vw2+[3 -3.1 0], 'col', 0.5*[0.3 0.3 0.3], 'edgeOff', 'backCol', 0.2*[0.1 0.1 0.1]);
    angHw2 = -90;
    
    % Gulv - sjakkmønster
    [F, V] = polyQuadFloor(11, 11);
    cV = 0.1*ones(11*11, 3);
    for i = 1 : 2 : 11*11
        cV(i, :) = [0.2 0.2 0.2];
    end
    plotPoly(F, 10*V, 'dark', 'col', cV, 'backCol', 0.2*[0.1 0.1 0.1], 'edgeOff');
    
    axScale = 0.5897;
    
    % Agent - belg, org høyde 1
    belgBunnHoyde = 6; % 5
    axIn = -0.75;
    Fbe0 = Fbe;
    Vbe0 = Vbe .* [0.6 0.6 1];
    [Fbe, Vbe] = agent3vid(axScale*axIn, Fbe0, Vbe0); % 0.6*ax
    belgToppHoyde = 1 + axScale*0 + belgBunnHoyde; % fra agent3vid
    Vbe = Vbe + [0 0 belgBunnHoyde]; 
    pumpCol = ones(size(Fbe,1), 3) .* [0.6 0.3 0.3] + 0.2*(rand(size(Fbe,1), 3)-0.5);
    ha1 = plotPoly(Fbe, Vbe, 'col', pumpCol, 'edgeOff', 'backCol', 0.2*[0.1 0.1 0.1]);
    
    % Ramme under
    Vra = Vra .* [4 4 belgBunnHoyde];
    raCol = ones(size(Fra,1), 3) .* [0.5*0.7 0.5*0.5 0.5*0.5] + 0.2*(rand(size(Fra,1), 3)-0.5);
    plotPoly(Fra, Vra, 'dark', 'col', raCol, 'backCol', 0.2*[0.1 0.1 0.1], 'edgeOff');
    
    % Stag Z=0 er i nedre ax
    stagLng = 2.6318;
    Vst0 = 3*Vst;
    Vst = Vst0 + [0 0 belgToppHoyde];
    stagToppAxHoyde = belgToppHoyde + 2.6318;
    pumpCol = ones(size(Fst,1), 3) .* [0.7 0.5 0.5] + 0.2*(rand(size(Fst,1), 3)-0.5);
    hs1 = plotPoly(Fst, Vst, 'edgeOff', 'col', pumpCol, 'backCol', 0.2*[0.1 0.1 0.1]);  

    % Hjul -0.5898
    hjulStagLng = 0.5898;
    hjulCentHoyde = stagToppAxHoyde;
    Vhj0 = Vhj .* 2.5; % Øker bredden
    Vhj1 = Vhj0 + [0 1 hjulCentHoyde];
    pumpCol = ones(size(Fhj,1), 3) .* [0.7 0.5 0.5] + 0.2*(rand(size(Fhj,1), 3)-0.5);
    hs3 = plotPoly(Fhj, Vhj1, 'edgeOff', 'col', pumpCol, 'backCol', 0.2*[0.1 0.1 0.1]);     
    
    % Lerret
    [F, V] = polyQuadFloor(360, 240); V = 6*(rotx(90)*V')' + [0 10 6];
    %[F, V] = polyQuadFloor(240, 160); V = 6*(rotx(90)*V')' + [0 10 6];
    V(:,2) = V(:,2) - (0.04*V(:,1).*V(:,1));
    %hl = plotPoly(F, V, 'col', rand(120*80*4, 3), 'edgeOff', 'backCol', 0.2*[0.1 0.1 0.1]);
    hl = plotPoly(F, V, 'col', rand(360*240, 3), 'edgeOff', 'backCol', 0.2*[0.1 0.1 0.1]);
    
    % Bilde på vegg
    [F, V] = polyQuadFloor(212, 504); 
    V = 1*(rotx(90)*V')';
    V = 1*(rotz(90)*V')';
    V = 6*(rotx(-90)*V')'+ [-11 0 6];
    V(:,1) = V(:,1) + (0.01*V(:,2).*V(:,2));
    bilde = 0.8*double(bilde)/255;
    %bilde = bilde .*
    hBil = plotPoly(F, V, 'col', rand(504*212, 3), 'edgeOff', 'backCol', 0.2*[0.1 0.1 0.1]); 
    co2 = reshape(bilde, 504*212, 3); 
    set(hBil, 'FaceVertexCData', co2);
    
    set(gca, 'CameraPositionMode', 'manual');
    cp0 = [29.9447 -58.7225 14.8153];
    set(gca, 'CameraPosition', cp0);
    set(gca, 'CameraViewAngleMode', 'manual');
    set(gca, 'CameraViewAngle', 10.4028);
    set(gca, 'CameraTargetMode', 'manual');
    set(gca, 'CameraTarget', [0.8861 -1.0663 4.9724]);
    
    ccOld = 0;
    vieTeller = 0;
    noOfPoins = 1200; % length(startSample : fs/frameRate : endSample);
    for s = startSample : fs/frameRate : endSample % manuell intastn evt s = cl2sa(corStrArr, 64) : floor(fs/frameRate) : cl2sa(corStrArr, 75) % manuell intastn
        vieTeller = vieTeller + 1;
        ccc = findNermesteDBnedover(s, clickDBtimeMs);
        if ccc > ccOld
            set(gcf,'name',num2str(ccc));
            ccOld = ccc;
        end
    
        % Agent belg
        axIn = cntArr525(floor(s), 1);
        
        [~, Vbe] = agent3vid(axScale*axIn, Fbe0, Vbe0); % 0.5*ax
        belgToppHoyde = 1 + axScale*axIn + belgBunnHoyde; % fra agent3vid

        Vbe = Vbe + [0 0 belgBunnHoyde];
        if speed == 0
            set(ha1, 'Vertices', Vbe);
        end

        % Stag 
        ang = cntArr525(floor(s), 4);
        R = roty(ang);
        
        Vst = (R*Vst0')' + [0 0 belgToppHoyde];
        set(hs1, 'Vertices', Vst);
 
        % Hjul
        ang = -cntArr525(floor(s), 3);       
        R = roty(ang);
        Vhj1 = (R*Vhj0')' + [0 1 hjulCentHoyde];
        set(hs3, 'Vertices', Vhj1);          
        
        if speed == 0
            % Folk
            angHw1 = angHw1 + 6*(rand()-0.5); Rz = rotz(angHw1);
            Vw1r = 6*(Rz*Vw1')'+[3 3 0]; 
            bh = 1 - 0.02*cntArr525(floor(s), 1);
            Vw1r = Vw1r .* [1 1 bh];
            set(hw1, 'Vertices', Vw1r);

            angHm1 = angHm1 + 6*(rand()-0.5); Rz = rotz(angHm1);
            Vm1r = 6*(Rz*Vm1')'+[-3 3 0]; 
            bh = 1 - 0.01*cntArr525(floor(s), 2);
            Vm1r = Vm1r .* [1 1 bh];
            set(hm1, 'Vertices', Vm1r); 

            angHm2 = angHm2 + 6*(rand()-0.5); Rz = rotz(angHm2);
            Vm2r = 6*(Rz*Vm2')'+[-3 -3 0]; 
            bh = 1 - 0.01*cntArr525(floor(s), 1);
            Vm2r = Vm2r .* [1 1 bh];
            set(hm2, 'Vertices', Vm2r);

            angHw2 = angHw2 + 6*(rand()-0.5); Rz = rotz(angHw2);
            Vw2r = 6*(Rz*Vw2')'+[3 -3.1 0]; 
            bh = 1 + 0.01*cntArr525(floor(s), 2);
            Vw2r = Vw2r .* [1 1 bh];
            set(hw2, 'Vertices', Vw2r);
        
            % Video in
            vidObj.CurrentTime = floor(s)/fs;
            frame = readFrame(vidObj); 
            frame = flipud(frame); frame = permute(frame,[2 1 3]);
            %co1 = double(squeeze(reshape(frame,[], 80*120*2*2,3))); co1 = co1/max(max(co1));
            co1 = double(squeeze(reshape(frame,[], 360*240,3))); co1 = co1/max(max(co1));
            set(hl, 'FaceVertexCData', co1);  
        end
        
        
        cp = cp0 + [4*sin(4*pi*vieTeller/noOfPoins) 0 2*sin(3*pi*vieTeller/noOfPoins)];
        set(gca, 'CameraPosition', cp);
        drawnow;
        if speed == 0
            frame= getframe(gcf);
            writeVideo(vidfileOut, frame);
        end
    end
    if speed == 0
        close(vidfileOut);
    end
    
    fprintf(1, "\n");
    %close(4);
    %figure(1);
end

%X   ffmpeg -y -i testmov.avi -ss 0 -i mus.wav -vcodec libx265 -crf 23 -shortest output.mp4
%R   ffmpeg -y -i testmov.avi -ss 0 -i mus.wav -vcodec libx265 -crf 23 -shortest -vf vflip output.mp4





% ffmpeg -y -i Zorg.mp4 -vf scale=240:160 -c:v mjpeg -q:v 3 -an o.mov
% ffmpeg -y -i Zorg.mp4 -vf scale=120:80 -c:v mjpeg -q:v 3 -an oSmall.mov
